/*RSBAC global network
 *
 *(c) Stanislav Ievlev <inger@linux.ru.net>
 */
 
/*r-job-d.h - for daemon definitions*/

#ifndef R_JOB_D_H
#define R_JOB_D_H
/*station functions*/
void  append_station(char *station);
void  remove_station(char *station);
int in_station_list(char *station);
void send_stations(int ns,char *session_keyword,char *crypto_keyword);
char *get_station_name(char *name,char *station);
int get_station_level(char *station);

/*job functions*/
void append_job(char *job_line);
void append_job_to_station(int ns,char *station,char *session_keyword,char *crypto_keyword);
void append_job_mine(char *command_str);

void clean_all_job();
void clean_all_job_to_station(char *station);
void send_jobs(int ns,char *session_keyword,char *crypto_keyword,int warranty);
void peek_jobs(int ns,char *session_keyword,char *crypto_keyword,char *station);
void send_jobs_station(int ns,char *session_keyword,char *crypto_keyword,int warranty,char *station);

/*logging facility*/
void fd_log_start(char *station,int level);
void fd_log(char *command_str);
void fd_log_arg(char *command_str);
void fd_log_end();
void fd_err_log(char *err_str,char *station);

/*config*/
void parse_config(char *config_file);
#endif
